"""music Table

Revision ID: 97d68efe3791
Revises: 1a1e2fbedc6c
Create Date: 2019-09-26 09:54:49.083571

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '97d68efe3791'
down_revision = '1a1e2fbedc6c'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('music',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('name', sa.String(length=30), nullable=True),
    sa.Column('year_release', sa.String(length=5), nullable=True),
    sa.Column('genre', sa.String(length=15), nullable=True),
    sa.Column('cover_img_location', sa.String(length=50), nullable=True),
    sa.Column('song_file_location', sa.String(length=50), nullable=True),
    sa.Column('artist', sa.String(length=30), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('music')
    # ### end Alembic commands ###
